Bug 199971 - SPI_generateKeyboardEvent() leaves shift key held down
SPI_generateKeyboardEvent() leaves shift key held down
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: at-spi (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
bzcl34nup
:
Depends On:
Blocks: 169147
  Show dependency treegraph
 
Reported: 2006-07-24 13:47 EDT by Zack Cerza
Modified: 2008-05-06 12:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:09:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 348970 None None None Never

  None (edit)
Description Zack Cerza 2006-07-24 13:47:48 EDT
Description of problem:
The following pseudo-code:

SPI_generateKeyboardEvent(<keySym>, '', SPI_KEY_SYM)

Where <keySym> is the keysym of a character which, when entered via an actual
keyboard, requires the user to press Shift, leaves the system in such a state
that it thinks the Shift key is still being held down.

For example, if you execute SPI_generateKeyboardEvent(43, ...), you'll correctly
see the + character. Now press 'a', you'll get 'A'.

SPI_generateKeyboardEvent(..., SPI_KEY_SYM) is supposed to imply that we're
doing a press-release, so no keys should be virtually held-down after the
function returns.

Version-Release number of selected component (if applicable):
at-spi-1.7.7-1.fc5.2.i386

How reproducible:
Always
Comment 1 Matthias Clasen 2006-08-02 16:50:31 EDT
Hmm, Zack, do you still see this with 1.7.10 ? 
Bill says he cannot reproduce it (see the upstream bug)
Comment 2 Bug Zapper 2008-04-03 23:22:52 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:09:57 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.